﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using BTS;
using Microsoft.XLANGs.BaseTypes;
using BTF2;

//Duplicated from Reflector to use WSS Adapter Provider

namespace WhiteCase.MW.Foundation.ESB.Extensions.Library.AdapterProviders.SharePoint.Schemas
{

    [Serializable, SchemaType(SchemaTypeEnum.Property), SchemaReference("BTF2.bts_btf2_properties", typeof(bts_btf2_properties)), SchemaReference("BTS.bts_system_properties", typeof(bts_system_properties))]
    public sealed class bts_WindowsSharePointServices_properties : SchemaBase
    {
        // Fields
        [NonSerialized]
        private static object _rawSchema;
        [NonSerialized]
        private const string _strSchema = "<?xml version=\"1.0\" encoding=\"utf-16\"?><xs:schema xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" xmlns=\"http://schemas.microsoft.com/BizTalk/2006/WindowsSharePointServices-properties\" targetNamespace=\"http://schemas.microsoft.com/BizTalk/2006/WindowsSharePointServices-properties\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\">\t<xs:annotation>\t\t<xs:appinfo>\t\t\t<b:schemaInfo schema_type=\"property\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\"/>\t\t</xs:appinfo>\t</xs:annotation>\t<xs:element name=\"Filename\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"b1a1f574-5a7c-41ad-90c5-99d32ed83b9d\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Url\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"7fb27202-9a05-4ae9-b287-589661064dc1\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InArchivedMsgUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"5117B6E2-17D8-47c0-B2C2-34C576E1885F\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InIconUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"be473dcc-1f09-43d3-8bf8-075d3508b082\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InTitle\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"d94730a6-8dda-4405-b526-ff14b0daa324\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InLastModified\" type=\"xs:dateTime\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"5126a8fb-16c2-44a5-a5b6-53f76e689162\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InLastModifiedBy\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"a467f7ec-297a-44b9-bb3f-ee81e12b8990\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InItemId\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"e09b1f57-f8a3-459e-9900-d8fc0bc0958c\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InEditUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"8f19936a-edd3-46ce-a3d5-b9cfd4fa9ae7\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InCreated\" type=\"xs:dateTime\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"6747403c-d444-470d-a65e-fd5732e7beda\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InCreatedBy\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"5cdf8927-9529-45ce-8837-caf9184ea33a\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InFileSize\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"a6c005e9-eb59-486f-9b6b-f2801de5e95a\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InListName\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"4b30ca21-6b7b-4d73-a8fa-8af4b8cee2a4\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InListUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"97ad9913-5f5a-4b44-8696-9be6c4d2c45c\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InPropertiesXml\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"ca388c8e-e066-4447-90e8-1294e6de6866\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InOfficeIntegration\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"b5703630-b96b-47a7-b3d8-4167d8085be6\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigOverwrite\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"09fa4d07-bc64-44c9-883d-8f7314593894\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigNamespaceAliases\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"0d7286c4-d6be-46a4-98ee-4c8efce054fa\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigOfficeIntegration\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"693171f5-c9e5-4aac-bf15-bb020c93b4e1\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigTemplatesDocLib\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"da0199e3-91ea-4783-b367-85498d57a6d7\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigTemplatesNamespaceCol\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"11dda6a5-3ad9-465d-9150-c827e7f4752e\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigCustomTemplatesDocLib\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"8dc216ec-d94d-4794-8de8-4fbb92bc5628\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigCustomTemplatesNamespaceCol\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"a790c580-6d5b-4ff0-9ea9-fe66d62b43c8\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigPropertiesXml\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"89b6eae9-dfc7-4ffd-b5c2-27032aec5c20\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigTimeout\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"0e30b953-1de3-4624-b23a-61779bfa6443\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigAdapterWSPort\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"e8385e95-43c1-4c72-9c96-7e00347b8662\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element></xs:schema>";

        // Properties
        protected override object RawSchema
        {
            get
            {
                return _rawSchema;
            }
            set
            {
                _rawSchema = value;
            }
        }

        public override string[] RootNodes
        {
            get
            {
                return new string[] { 
                "Filename", "Url", "InArchivedMsgUrl", "InIconUrl", "InTitle", "InLastModified", "InLastModifiedBy", "InItemId", "InEditUrl", "InCreated", "InCreatedBy", "InFileSize", "InListName", "InListUrl", "InPropertiesXml", "InOfficeIntegration", 
                "ConfigOverwrite", "ConfigNamespaceAliases", "ConfigOfficeIntegration", "ConfigTemplatesDocLib", "ConfigTemplatesNamespaceCol", "ConfigCustomTemplatesDocLib", "ConfigCustomTemplatesNamespaceCol", "ConfigPropertiesXml", "ConfigTimeout", "ConfigAdapterWSPort"
             };
            }
        }

        public override string XmlContent
        {
            get
            {
                return "<?xml version=\"1.0\" encoding=\"utf-16\"?><xs:schema xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" xmlns=\"http://schemas.microsoft.com/BizTalk/2006/WindowsSharePointServices-properties\" targetNamespace=\"http://schemas.microsoft.com/BizTalk/2006/WindowsSharePointServices-properties\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\">\t<xs:annotation>\t\t<xs:appinfo>\t\t\t<b:schemaInfo schema_type=\"property\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\"/>\t\t</xs:appinfo>\t</xs:annotation>\t<xs:element name=\"Filename\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"b1a1f574-5a7c-41ad-90c5-99d32ed83b9d\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Url\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"7fb27202-9a05-4ae9-b287-589661064dc1\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InArchivedMsgUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"5117B6E2-17D8-47c0-B2C2-34C576E1885F\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InIconUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"be473dcc-1f09-43d3-8bf8-075d3508b082\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InTitle\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"d94730a6-8dda-4405-b526-ff14b0daa324\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InLastModified\" type=\"xs:dateTime\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"5126a8fb-16c2-44a5-a5b6-53f76e689162\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InLastModifiedBy\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"a467f7ec-297a-44b9-bb3f-ee81e12b8990\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InItemId\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"e09b1f57-f8a3-459e-9900-d8fc0bc0958c\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InEditUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"8f19936a-edd3-46ce-a3d5-b9cfd4fa9ae7\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InCreated\" type=\"xs:dateTime\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"6747403c-d444-470d-a65e-fd5732e7beda\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InCreatedBy\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"5cdf8927-9529-45ce-8837-caf9184ea33a\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InFileSize\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"a6c005e9-eb59-486f-9b6b-f2801de5e95a\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InListName\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"4b30ca21-6b7b-4d73-a8fa-8af4b8cee2a4\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InListUrl\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"97ad9913-5f5a-4b44-8696-9be6c4d2c45c\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InPropertiesXml\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"ca388c8e-e066-4447-90e8-1294e6de6866\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InOfficeIntegration\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"b5703630-b96b-47a7-b3d8-4167d8085be6\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigOverwrite\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"09fa4d07-bc64-44c9-883d-8f7314593894\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigNamespaceAliases\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"0d7286c4-d6be-46a4-98ee-4c8efce054fa\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigOfficeIntegration\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"693171f5-c9e5-4aac-bf15-bb020c93b4e1\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigTemplatesDocLib\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"da0199e3-91ea-4783-b367-85498d57a6d7\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigTemplatesNamespaceCol\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"11dda6a5-3ad9-465d-9150-c827e7f4752e\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigCustomTemplatesDocLib\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"8dc216ec-d94d-4794-8de8-4fbb92bc5628\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigCustomTemplatesNamespaceCol\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"a790c580-6d5b-4ff0-9ea9-fe66d62b43c8\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigPropertiesXml\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"89b6eae9-dfc7-4ffd-b5c2-27032aec5c20\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigTimeout\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"0e30b953-1de3-4624-b23a-61779bfa6443\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ConfigAdapterWSPort\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propertyGuid=\"e8385e95-43c1-4c72-9c96-7e00347b8662\" propSchFieldBase=\"MessageContextPropertyBase\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element></xs:schema>";
            }
        }
    }
}
