﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using BTF2;
using BTS;
using Microsoft.XLANGs.BaseTypes;

//Duplicated from Reflector to use MSMQ Adapter Provider

namespace WhiteCase.MW.Foundation.ESB.Extensions.Library.AdapterProviders.HTTP.Schemas
{
    [Serializable, SchemaType(SchemaTypeEnum.Property),
    SchemaReference("BTF2.bts_btf2_properties", typeof(bts_btf2_properties)), SchemaReference("BTS.bts_system_properties", typeof(bts_system_properties))]
    public sealed class bts_http_properties : SchemaBase 
    {

        [NonSerialized]
        private static object _rawSchema;
    
        [NonSerialized]
        private const string
            _strSchema ="<?xml version=\"1.0\" encoding=\"utf-16\"?><xs:schema xmlns=\"http://schemas.microsoft.com/BizTalk/2003/http-properties\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" elementFormDefault=\"qualified\" targetNamespace=\"http://schemas.microsoft.com/BizTalk/2003/http-properties\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\">\t<xs:annotation>\t\t<xs:appinfo>\t\t\t<b:schemaInfo schema_type=\"property\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\"/>\t\t</xs:appinfo>\t</xs:annotation>\t<xs:element name=\"ProxyName\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"17c33446-bd04-485b-9660-6ed8b35d1ce9\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ProxyPort\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"9fa31e7e-75dc-4f0e-9404-8d1256353d24\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UseHandlerProxySettings\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"af8e1b11-3966-4a8f-bff4-7fa62285a994\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UseProxy\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"cac1900c-b3cd-49fa-b8fb-67adb67b8dfc\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"EnableChunkedEncoding\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"AA3B5C33-65D6-4C2F-8967-04AE27AAD28D\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"RequestTimeout\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"5a900672-523c-4835-8323-57143e6c6b84\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Username\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"a96bfab9-ce40-4ec3-ba68-d872671b8a4c\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Password\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" isSensitive=\"true\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"b9f18ea1-5d6a-4dbb-9ada-7382c72bb9d5\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ProxyUsername\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"a2383245-ecd6-420a-82c5-cb64e0b4e175\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ProxyPassword\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" isSensitive=\"true\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"38e28565-e736-456d-b62b-fa4b9f4f3810\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"MaxRedirects\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"049516aa-66d3-40a6-b9f1-96fe9407e096\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ContentType\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"a16d1551-0ce9-46ef-8ae8-e8cb00fb1167\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"HttpCookie\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"45bbe7b1-0773-48aa-aa9e-ae53e50733bf\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"AuthenticationScheme\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"4177900e-398b-4211-a470-077c685cd7c3\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Certificate\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"b9fe34cd-dfaa-4eb4-a151-75b227dcc016\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UseSSO\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"d024410f-8f24-4ebc-be98-b72386473129\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"AffiliateApplicationName\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"197010ba-8555-4b08-bcef-2de7c8001767\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InboundHttpHeaders\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"0b87756d-9a02-4ce8-8317-a1726f6b51c7\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"SubmissionHandle\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"55e00564-8aca-4977-ae97-8c590192178d\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UserHttpHeaders\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"CACC3ABC-D619-43e6-ADDD-43ED16E16555\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ResponseStatusCode\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"8C7D5D4F-549B-4606-B91D-642D55EBEA69\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element></xs:schema>";

        // Properties
        protected override object RawSchema
        {
            get
            {
                return _rawSchema;
            }
            set
            {
                _rawSchema = value;
            }
        }

        public override string[] RootNodes
        {
            get
            {
                return new string[] { 
                "ProxyName", "ProxyPort", "UseHandlerProxySettings", "UseProxy", "EnableChunkedEncoding", "RequestTimeout", "Username", "Password", "ProxyUsername", "ProxyPassword", "MaxRedirects", "ContentType", "HttpCookie", "AuthenticationScheme", "Certificate", "UseSSO", 
                "AffiliateApplicationName", "InboundHttpHeaders", "SubmissionHandle", "UserHttpHeaders", "ResponseStatusCode"
             };
            }
        }

        public override string XmlContent
        {
            get
            {
                return "<?xml version=\"1.0\" encoding=\"utf-16\"?><xs:schema xmlns=\"http://schemas.microsoft.com/BizTalk/2003/http-properties\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" elementFormDefault=\"qualified\" targetNamespace=\"http://schemas.microsoft.com/BizTalk/2003/http-properties\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\">\t<xs:annotation>\t\t<xs:appinfo>\t\t\t<b:schemaInfo schema_type=\"property\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\"/>\t\t</xs:appinfo>\t</xs:annotation>\t<xs:element name=\"ProxyName\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"17c33446-bd04-485b-9660-6ed8b35d1ce9\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ProxyPort\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"9fa31e7e-75dc-4f0e-9404-8d1256353d24\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UseHandlerProxySettings\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"af8e1b11-3966-4a8f-bff4-7fa62285a994\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UseProxy\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"cac1900c-b3cd-49fa-b8fb-67adb67b8dfc\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"EnableChunkedEncoding\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"AA3B5C33-65D6-4C2F-8967-04AE27AAD28D\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"RequestTimeout\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"5a900672-523c-4835-8323-57143e6c6b84\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Username\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"a96bfab9-ce40-4ec3-ba68-d872671b8a4c\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Password\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" isSensitive=\"true\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"b9f18ea1-5d6a-4dbb-9ada-7382c72bb9d5\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ProxyUsername\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"a2383245-ecd6-420a-82c5-cb64e0b4e175\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ProxyPassword\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" isSensitive=\"true\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"38e28565-e736-456d-b62b-fa4b9f4f3810\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"MaxRedirects\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"049516aa-66d3-40a6-b9f1-96fe9407e096\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ContentType\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"a16d1551-0ce9-46ef-8ae8-e8cb00fb1167\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"HttpCookie\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"45bbe7b1-0773-48aa-aa9e-ae53e50733bf\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"AuthenticationScheme\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"4177900e-398b-4211-a470-077c685cd7c3\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"Certificate\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"b9fe34cd-dfaa-4eb4-a151-75b227dcc016\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UseSSO\" type=\"xs:boolean\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"d024410f-8f24-4ebc-be98-b72386473129\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"AffiliateApplicationName\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"197010ba-8555-4b08-bcef-2de7c8001767\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"InboundHttpHeaders\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"0b87756d-9a02-4ce8-8317-a1726f6b51c7\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"SubmissionHandle\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"55e00564-8aca-4977-ae97-8c590192178d\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"UserHttpHeaders\" type=\"xs:string\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"CACC3ABC-D619-43e6-ADDD-43ED16E16555\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element>\t<xs:element name=\"ResponseStatusCode\" type=\"xs:int\">\t\t<xs:annotation>\t\t\t<xs:appinfo>\t\t\t\t<b:fieldInfo propSchFieldBase=\"MessageContextPropertyBase\" xmlns:b=\"http://schemas.microsoft.com/BizTalk/2003\" propertyGuid=\"8C7D5D4F-549B-4606-B91D-642D55EBEA69\"/>\t\t\t</xs:appinfo>\t\t</xs:annotation>\t</xs:element></xs:schema>";
            }
        }
    }
}

 
 




